# ACE_OutputCDR::from_wstring Struct Reference

`#include <CDR_Stream.h>`

List of all members.

## Public Member Functions

| from_wstring (ACE_CDR::WChar *ws, ACE_CDR::ULong b, ACE_CDR::Boolean nocopy=0)
| from_wstring (const ACE_CDR::WChar *ws, ACE_CDR::ULong b, ACE_CDR::Boolean nocopy=0)

## Public Attributes

ACE_CDR::WChar * | val_
ACE_CDR::ULong | bound_
ACE_CDR::Boolean | nocopy_

## Constructor & Destructor Documentation

ACE_INLINE ACE_OutputCDR::from_wstring::from_wstring | ( | ACE_CDR::WChar * | ws,
|  | ACE_CDR::ULong | b,
|  | ACE_CDR::Boolean | nocopy = `0`
| ) |

ACE_INLINE ACE_OutputCDR::from_wstring::from_wstring | ( | const ACE_CDR::WChar * | ws,
|  | ACE_CDR::ULong | b,
|  | ACE_CDR::Boolean | nocopy = `0`
| ) |

## Member Data Documentation

ACE_CDR::ULong ACE_OutputCDR::from_wstring::bound_

ACE_CDR::Boolean ACE_OutputCDR::from_wstring::nocopy_

ACE_CDR::WChar* ACE_OutputCDR::from_wstring::val_

The documentation for this struct was generated from the following files:

- CDR_Stream.h
- CDR_Stream.inl